## org.gnu.gtk
Class ToggleToolButton

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.ToolItem
                                  org.gnu.gtk.ToolButton
                                      org.gnu.gtk.ToggleToolButton

Direct Known Subclasses:
  RadioToolButton

public class ToggleToolButton
extends ToolButton

Constructor Summary
`ToggleToolButton()`
`ToggleToolButton(org.gnu.glib.Handle hndl)`
`ToggleToolButton(java.lang.String stockId)`

Method Summary
`void` `addListener(ToggleToolButtonListener listener)` Register an object to handle dialog events.
`boolean` `getActive()`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static ToggleToolButton` `getToggleToolButton(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`void` `removeListener(ToggleToolButtonListener listener)` Removes a listener
`void` `setActive(boolean active)`

Methods inherited from class org.gnu.gtk.ToolButton
`addListener, getIconWidget, getLabel, getLabelWidget, getStockId, getToolButton, getUseUnderline, removeListener, setIconWidget, setLabel, setLabelWidget, setStockId, setUseUnderline`

Methods inherited from class org.gnu.gtk.ToolItem
`getExpand, getHomogeneous, getIconSize, getIsImportant, getOrientation, getProxyMenuItem, getReliefStyle, getToolbarStyle, getUseDragWindow, getVisibleHorizontal, getVisibleVertical, rebuildMenu, retrieveProxyMenuItem, setExpand, setHomogeneous, setIsImportant, setProxyMenuItem, setTooltip, setToolTip, setUseDragWindow, setVisibleHorizontal, setVisibleVertical`

Methods inherited from class org.gnu.gtk.Bin
`getChild, getType`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleToolButton

    public ToggleToolButton()

### ToggleToolButton

    public ToggleToolButton(java.lang.String stockId)

### ToggleToolButton

    public ToggleToolButton(org.gnu.glib.Handle hndl)

Method Detail

### getToggleToolButton

    public static ToggleToolButton getToggleToolButton(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setActive

    public void setActive(boolean active)

### getActive

    public boolean getActive()

### addListener

    public void addListener(ToggleToolButtonListener listener)

  Register an object to handle dialog events.

  See Also:
    `ToggleToolButtonListener`

### removeListener

    public void removeListener(ToggleToolButtonListener listener)

  Removes a listener

  See Also:
    `addListener(ToggleToolButtonListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `ToolButton`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `ToolButton`